petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscBagGetNames

Get the names of all entries in the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagGetNames(PetscBag bag, const char *names[])

Not collective

### Input Parameters

| bag | - the bag of values
| names | - array of the correct size to hold names

### Output Parameter

names -array of char pointers for names

### See Also

PetscBag, PetscBagGetName(), PetscBagSetName(), PetscBagCreate(), PetscBagGetData()
PetscBagRegisterReal(), PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar(), PetscBagRegisterEnum()

Level:intermediate
Location:src/sys/classes/bag/bag.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages